using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.TouristBindingModels;
using TravelCompanyContracts.SearchModels.TouristSearchModels;
using TravelCompanyContracts.ViewModels.TouristViewModels;

namespace TravelCompanyContracts.StoragesContracts.TouristStoragesContracts
{
    public interface ITouristStorage
    {
        List<TouristViewModel> GetFullList();
        List<TouristViewModel> GetFilteredList(TouristSearchModel model);
        TouristViewModel? GetElement(TouristSearchModel model);
        TouristViewModel? Insert(TouristBindingModel model);
        TouristViewModel? Update(TouristBindingModel model);
    }
}
